<?php

namespace Insign\PostCore\Api\Data;

use Magento\Framework\Api\ExtensibleDataInterface;

/**
 * Interface BarcodeInterface
 * @package Insign\PostCore\Api\Data
 */
interface BarcodeInterface extends ExtensibleDataInterface
{
    /**
     * @return int
     */
    public function getId();

    /**
     * @return string
     */
    public function getPath();

    /**
     * @param string $path
     * @return void
     */
    public function setPath(string $path);

    /**
     * @return int
     */
    public function getShippingId();

    /**
     * @param int $shippingId
     * @return void
     */
    public function setShippingId(int $shippingId);

    /**
     * @return int
     */
    public function getOrderId();

    /**
     * @param int $orderId
     * @return void
     */
    public function setOrderId(int $orderId);

    /**
     * @return int
     */
    public function getCreatedAt();

    /**
     * @param int $timestamp
     * @return void
     */
    public function setCreatedAt(int $timestamp);

    /**
     * @return string
     */
    public function getRequest();

    /**
     * @param string $request
     * @return void
     */
    public function setRequest(string $request);

    /**
     * @return string
     */
    public function getResponse();

    /**
     * @param string $response
     * @return void
     */
    public function setResponse(string $response);

}
