<?php

namespace Insign\PostCore\Block\Adminhtml\Barcode\Edit;

use Magento\Backend\Block\Widget\Context;
use Magento\Checkout\Model\Session;
use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

class SaveButton extends GenericButton implements ButtonProviderInterface
{
    /**
     * @var Session
     */
    private $session;

    /**
     * SaveButton constructor.
     * @param Context $context
     * @param Session $session
     */
    public function __construct(
        Context $context,
        Session $session
    ) {
        parent::__construct($context);
        $this->session = $session;
    }

    /**
     * @return array
     */
    public function getButtonData(): array
    {
        return
        [
            'label' => __('Save'),
            'class' => 'save',
            'on_click' => '',
            'sort_order' => 80,
            'data_attribute' => [
                'mage-init' => [
                    'Magento_Ui/js/form/button-adapter' => [
                        'actions' => [
                            [
                                'targetName' => 'insign_postcore_barcode_form.insign_postcore_barcode_form',
                                'actionName' => 'save',
                                'params' => [
                                    true,
                                    ['shipment_id' => $this->getShipmentId()],
                                ]
                            ]
                        ]
                    ]
                ],
            ]
        ];
    }

    /**
     * @return mixed
     */
    public function getShipmentId()
    {
        return $this->session->getVarValue();
    }
}
