<?php

namespace Insign\PostCore\Observer;

use Magento\Framework\DataObject\Copy;
use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface as ObserverInterface;
use Magento\Quote\Model\Quote;
use Magento\Sales\Model\Order;

class SaveOrderBeforeSalesModelQuoteObserver implements ObserverInterface
{

    /**
     * @var Copy
     */
    protected $objectCopyService;

    /**
     * SaveOrderBeforeSalesModelQuoteObserver constructor.
     * @param Copy $objectCopyService
     */
    public function __construct(
        Copy $objectCopyService
    )
    {
        $this->objectCopyService = $objectCopyService;
    }


    /**
     * @param Observer $observer
     * @return $this
     */
    public function execute(Observer $observer): SaveOrderBeforeSalesModelQuoteObserver
    {
        /** @var Order $order */
        $order = $observer->getEvent()->getData('order');

        /** @var Quote $quote */
        $quote = $observer->getEvent()->getData('quote');
        $shippingAddressData = $quote->getShippingAddress()->getData();
        if (isset($shippingAddressData['address_validation_status'])) {
            $order->getShippingAddress()->setAddressValidationStatus($shippingAddressData['address_validation_status']);
        }
        return $this;
    }
}

