<?php

namespace Insign\PostCore\Plugin;

class NewBarcodeButton
{
    /**
     * @var \Insign\PostCore\Helper\BarcodeHelper
     */
    private $barcodeHelper;

    /**
     * NewBarcodeButton constructor.
     * @param \Insign\PostCore\Helper\BarcodeHelper $barcodeHelper
     */
    public function __construct(\Insign\PostCore\Helper\BarcodeHelper $barcodeHelper)
    {
        $this->barcodeHelper = $barcodeHelper;
    }

    public function beforeSetLayout(\Magento\Shipping\Block\Adminhtml\View $view)
    {
        if ($this->barcodeHelper->isEnable()) {
            $url = $view->getUrl('postc/barcode/edit/' , ['shipment_id' => $view->getRequest()->getParam('shipment_id')]);

            $view->addButton(
                'create-new-barcode',
                [
                    'label' => __('Create Barcode'),
                    'class' => 'create-new-barcode',
                    'onclick' => "setLocation('{$url}')"
                ]
            );
        }
    }
}
